<?php

/**
 * Cloudrexx
 *
 * @link      http://www.cloudrexx.com
 * @copyright Cloudrexx AG 2007-2015
 * 
 * According to our dual licensing model, this program can be used either
 * under the terms of the GNU Affero General Public License, version 3,
 * or under a proprietary license.
 *
 * The texts of the GNU Affero General Public License with an additional
 * permission and of our proprietary license can be found at and
 * in the LICENSE file you have received along with this program.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU Affero General Public License for more details.
 *
 * "Cloudrexx" is a registered trademark of Cloudrexx AG.
 * The licensing of the program under the AGPLv3 does not imply a
 * trademark license. Therefore any rights, title and interest in
 * our trademarks remain entirely with us.
 */
 
/**
 * This is the english language file for backend mode.
 * This file is included by Contrexx and all entries are set as placeholder
 * values for backend ACT template by SystemComponentBackendController
 *
 * @copyright   CLOUDREXX CMS - Cloudrexx AG Thun
 * @author      Michael Ritter <michael.ritter@comvation.com>
 * @package     contrexx
 * @subpackage  core_module_templateeditor
 */

global $_ARRAYLANG;

// Let's start with module info:
$_ARRAYLANG['TXT_CORE_MODULE_TEMPLATEEDITOR'] = 'TemplateEditor';
// Here come the ACTs:
$_ARRAYLANG['TXT_CORE_MODULE_TEMPLATEEDITOR_ACT_DEFAULT'] = 'Übersicht';
$_ARRAYLANG['TXT_CORE_MODULE_TEMPLATEEDITOR_ACT_SETTINGS'] = 'Einstellungen';

// Now our content specific values:
$_ARRAYLANG['TXT_CORE_MODULE_TEMPLATEEDITOR_SELECT'] = 'Auswählen';
$_ARRAYLANG['TXT_CORE_MODULE_TEMPLATEEDITOR_CANCEL'] = 'Abbrechen';
$_ARRAYLANG['TXT_CORE_MODULE_TEMPLATEEDITOR_BACK_TO_LAYOUTMANAGER'] = 'Zurück zur Übersicht';
$_ARRAYLANG['TXT_CORE_MODULE_TEMPLATEEDITOR_LAYOUT'] = 'Layout';
$_ARRAYLANG['TXT_CORE_MODULE_TEMPLATEEDITOR_PRESET'] = 'Vorlage';
$_ARRAYLANG['TXT_CORE_MODULE_TEMPLATEEDITOR_SAVE'] = 'Speichern';
$_ARRAYLANG['TXT_CORE_MODULE_TEMPLATEEDITOR_SAVE_TITLE'] = 'Sind sie sicher?';
$_ARRAYLANG['TXT_CORE_MODULE_TEMPLATEEDITOR_SAVE_CONTENT'] = 'Durch das Speichern werden die Änderungen permanent und für die Besucher ihrer Website sichtbar, falls diese Vorlage aktiv ist.';
$_ARRAYLANG['TXT_CORE_MODULE_TEMPLATEEDITOR_CHANGE_PICTURE'] = 'Ändern';
$_ARRAYLANG['TXT_CORE_MODULE_TEMPLATEEDITOR_REMOVE_PICTURE'] = 'Entfernen';
$_ARRAYLANG['TXT_CORE_MODULE_TEMPLATEEDITOR_CHOOSE_PICTURE'] = 'Bild auswählen';
$_ARRAYLANG['TXT_CORE_MODULE_TEMPLATEEDITOR_ADD_PICTURE'] = 'Bild hinzufügen';

$_ARRAYLANG['TXT_CORE_MODULE_TEMPLATEEDITOR_VIEW'] = 'Ansicht wechseln';
$_ARRAYLANG['TXT_CORE_MODULE_TEMPLATEEDITOR_VIEW_PHONE'] = 'Handy';
$_ARRAYLANG['TXT_CORE_MODULE_TEMPLATEEDITOR_VIEW_TABLET'] = 'Tablet';
$_ARRAYLANG['TXT_CORE_MODULE_TEMPLATEEDITOR_VIEW_DESKTOP'] = 'Desktop';
$_ARRAYLANG['TXT_CORE_MODULE_TEMPLATEEDITOR_VIEW_FULL'] = 'Voll';
$_ARRAYLANG['TXT_CORE_MODULE_TEMPLATEEDITOR_COLOR_WRONG_FORMAT'] = 'Falsches Farbformat. Sollte #ffffff, ein Farbname (olive) oder nur fff sein.';
$_ARRAYLANG['TXT_CORE_MODULE_TEMPLATEEDITOR_TEXT_WRONG_FORMAT'] = "Text \"%s\" passt nicht zum gegebenen Regex: ";
$_ARRAYLANG['TXT_CORE_MODULE_TEMPLATEEDITOR_IMAGE_FILE_NOT_FOUND'] = "Datei \"%s\" nicht gefunden.";
$_ARRAYLANG['TXT_CORE_MODULE_TEMPLATEEDITOR_VALUE_EMPTY'] = "Darf nicht leer sein.";
$_ARRAYLANG['TXT_CORE_MODULE_TEMPLATEEDITOR_NO_OPTIONS_HELP'] = "Für dieses Template sind keine Platzhalter vorgegeben. Um zu lernen wie sie Optionen zu Ihrem Template hinzufügen können, besuchen sie bitte unser Wiki.";
$_ARRAYLANG['TXT_CORE_MODULE_TEMPLATEEDITOR_NO_OPTIONS_LINKNAME'] = "Wiki: How to add options to your template.";

$_ARRAYLANG['TXT_CORE_MODULE_TEMPLATEEDITOR_ACTIVATE_PRESET'] = "Aktivieren";
$_ARRAYLANG['TXT_CORE_MODULE_TEMPLATEEDITOR_ACTIVATE_PRESET_MORE'] = "Diese Vorlage auf der Webseite aktivieren";
$_ARRAYLANG['TXT_CORE_MODULE_TEMPLATEEDITOR_ADD_PRESET'] = "Neue Vorlage";
$_ARRAYLANG['TXT_CORE_MODULE_TEMPLATEEDITOR_ADD_PRESET_MORE'] = "Eine neue Vorlage auf einer bereits bestehenden Vorlage erstellen.";
$_ARRAYLANG['TXT_CORE_MODULE_TEMPLATEEDITOR_REMOVE_PRESET'] = "Löschen";
$_ARRAYLANG['TXT_CORE_MODULE_TEMPLATEEDITOR_REMOVE_PRESET_MORE'] = "Diese Vorlage löschen";
$_ARRAYLANG['TXT_CORE_MODULE_TEMPLATEEDITOR_PRESET_ACTIVE'] = "Aktiv";
$_ARRAYLANG['TXT_CORE_MODULE_TEMPLATEEDITOR_RESET_PRESET'] = "Zurücksetzen";
$_ARRAYLANG['TXT_CORE_MODULE_TEMPLATEEDITOR_RESET_PRESET_MORE'] = "Diese Vorlage auf den Anfangszustand zurücksetzten.";

$_ARRAYLANG['TXT_CORE_MODULE_TEMPLATEEDITOR_YES'] = "Ja";
$_ARRAYLANG['TXT_CORE_MODULE_TEMPLATEEDITOR_NO'] = "Nein";

$_ARRAYLANG['TXT_CORE_MODULE_TEMPLATEEDITOR_ACTIVATE_PRESET_TITLE'] = "Vorlage aktivieren";
$_ARRAYLANG['TXT_CORE_MODULE_TEMPLATEEDITOR_ADD_PRESET_TITLE'] = "Neue Vorlage erstellen";
$_ARRAYLANG['TXT_CORE_MODULE_TEMPLATEEDITOR_ACTIVATE_PRESET_TEXT'] = "Durch das Aktivieren der Vorlage wird diese auf der Webseite aktiv und wird für alle Benutzer sichtbar.";
$_ARRAYLANG['TXT_CORE_MODULE_TEMPLATEEDITOR_NEW_PRESET_TEXT'] = "Erstellen sie eine neue Vorlage basierend auf einer bestehenden Vorlage.";
$_ARRAYLANG['TXT_CORE_MODULE_TEMPLATEEDITOR_NEW_PRESET_TEXT_NOT_ALLOWED_CHARACTERS'] = "Die Vorlage darf nur Buchstaben und Zahlen beinhalten.";
$_ARRAYLANG['TXT_CORE_MODULE_TEMPLATEEDITOR_NEW_PRESET_NAME'] = "Name";
$_ARRAYLANG['TXT_CORE_MODULE_TEMPLATEEDITOR_NEW_PRESET_PRESET'] = "Vorlage";
$_ARRAYLANG['TXT_CORE_MODULE_TEMPLATEEDITOR_REMOVE_PRESET_TEXT'] = "Möchten sie diese Vorlage entfernen?";
$_ARRAYLANG['TXT_CORE_MODULE_TEMPLATEEDITOR_REMOVE_PRESET_DEFAULT_WARNING'] = "Die Vorlage Default kann nicht entfernt werden.";
$_ARRAYLANG['TXT_CORE_MODULE_TEMPLATEEDITOR_RESET_PRESET_TEXT'] = "Möchten sie die Vorlage auf den Anfangszustand zurücksetzen?";
$_ARRAYLANG['TXT_CORE_MODULE_TEMPLATEEDITOR_REMOVE_PRESET_TEXT_IS_ACTIVE'] = "Diese Vorlage ist momentan aktiv. Falls sie dies löschen, wird die Default Vorlage aktiviert.";

$_ARRAYLANG['TXT_CORE_MODULE_TEMPLATEEDITOR_INTRO_LAYOUT_OPTION'] = "Hier können sie das Template wechseln.";
$_ARRAYLANG['TXT_CORE_MODULE_TEMPLATEEDITOR_INTRO_PRESET_OPTION'] = "Vorlagen für das ausgewählte Template können sie hier auswählen. Beachten sie dabei dass somit ihre bisherigen Änderungen an einer Vorlage verloren gehen.";
$_ARRAYLANG['TXT_CORE_MODULE_TEMPLATEEDITOR_INTRO_PRESET_ACTIVATE'] = "Wenn sie die momentane Vorlage aktivieren ist diese für alle Besucher auf Ihrer Website sichtbar.";
$_ARRAYLANG['TXT_CORE_MODULE_TEMPLATEEDITOR_INTRO_PRESET_ADD'] = "Sie können neue Vorlagen bestehend auf bereits existierenden Vorlagen erstellen.";
$_ARRAYLANG['TXT_CORE_MODULE_TEMPLATEEDITOR_INTRO_PRESET_RESET'] = "Wenn sie mit ihren temporären Anpassungen nicht zufrieden sind, können sie diese hier auf den Anfangszustand zurücksetzten.";
$_ARRAYLANG['TXT_CORE_MODULE_TEMPLATEEDITOR_INTRO_VIEW_OPTION'] = "Um das Template in einer Vorschau für verschiedene Geräte anzusehen, können sie diese über diese Optionen das Template auf Handy, Tablet oder Desktop Ansicht wechseln.";
$_ARRAYLANG['TXT_CORE_MODULE_TEMPLATEEDITOR_INTRO_VIEW_OPTION_LIST'] = "Sie können nun alle Optionen welche hier aufgeführt werden für Ihr Template anpassen.";
$_ARRAYLANG['TXT_CORE_MODULE_TEMPLATEEDITOR_INTRO_PREVIEW'] = "Wenn sie eine Option anpassen, wird die Ansicht automatisch aktualisiert.";
$_ARRAYLANG['TXT_CORE_MODULE_TEMPLATEEDITOR_INTRO_SAVE'] = "Hier können sie ihre Vorlage abspeichern. Dies aktiviert die Vorlage jedoch nicht.";
$_ARRAYLANG['TXT_CORE_MODULE_TEMPLATEEDITOR_INTRO_NEXT'] = "Weiter";
$_ARRAYLANG['TXT_CORE_MODULE_TEMPLATEEDITOR_INTRO_BACK'] = "Zurück";
$_ARRAYLANG['TXT_CORE_MODULE_TEMPLATEEDITOR_INTRO_STOP'] = "Beenden";