<?php

/**
 * Cloudrexx
 *
 * @link      http://www.cloudrexx.com
 * @copyright Cloudrexx AG 2007-2015
 *
 * According to our dual licensing model, this program can be used either
 * under the terms of the GNU Affero General Public License, version 3,
 * or under a proprietary license.
 *
 * The texts of the GNU Affero General Public License with an additional
 * permission and of our proprietary license can be found at and
 * in the LICENSE file you have received along with this program.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU Affero General Public License for more details.
 *
 * "Cloudrexx" is a registered trademark of Cloudrexx AG.
 * The licensing of the program under the AGPLv3 does not imply a
 * trademark license. Therefore any rights, title and interest in
 * our trademarks remain entirely with us.
 */

global $_DBCONFIG, $_PATHCONFIG, $_FTPCONFIG, $_CONFIG;
/**
* @exclude
*
* Cloudrexx CMS Web Installer
* Please use the Cloudrexx CMS installer to configure this file
* or edit this file and configure the parameters for your site and
* database manually.
*/

/**
* -------------------------------------------------------------------------
* Set installation status
* -------------------------------------------------------------------------
*/
define('CONTREXX_INSTALLED', true);

/**
* -------------------------------------------------------------------------
* Database configuration section
* -------------------------------------------------------------------------
*/
$_DBCONFIG['host'] = '%DB_HOST%'; // This is normally set to localhost
$_DBCONFIG['database'] = '%DB_NAME%'; // Database name
$_DBCONFIG['tablePrefix'] = '%DB_TABLE_PREFIX%'; // Database table prefix
$_DBCONFIG['user'] = '%DB_USER%'; // Database username
$_DBCONFIG['password'] = '%DB_PASSWORD%'; // Database password
$_DBCONFIG['dbType'] = 'mysql'; // Database type (e.g. mysql,postgres ..)
$_DBCONFIG['charset'] = '%DB_CHARSET%'; // Charset (default, latin1, utf8, ..)
$_DBCONFIG['timezone'] = 'UTC'; // Controller's timezone for model
$_DBCONFIG['collation'] = '%DB_COLLATION%';

/**
* -------------------------------------------------------------------------
* Site path specific configuration
* -------------------------------------------------------------------------
*/
$_PATHCONFIG['ascms_root'] = '%PATH_ROOT%';
$_PATHCONFIG['ascms_root_offset'] = '%PATH_ROOT_OFFSET%'; // example: '/cms';
$_PATHCONFIG['ascms_installation_root'] = $_PATHCONFIG['ascms_root'];
$_PATHCONFIG['ascms_installation_offset'] = $_PATHCONFIG['ascms_root_offset']; // example: '/cms';

/**
* -------------------------------------------------------------------------
* Ftp specific configuration
* -------------------------------------------------------------------------
*/
$_FTPCONFIG['is_activated'] = %FTP_STATUS%; // Ftp support true or false
$_FTPCONFIG['host'] = '%FTP_HOST%';// This is normally set to localhost
$_FTPCONFIG['port'] = %FTP_PORT%; // Ftp remote port
$_FTPCONFIG['username'] = '%FTP_USER%'; // Ftp login username
$_FTPCONFIG['password'] = '%FTP_PASSWORD%'; // Ftp login password
$_FTPCONFIG['path'] = '%FTP_PATH%'; // Ftp path to cms (must not include ascms_root_offset)

/**
* -------------------------------------------------------------------------
* Base setup (altering might break the system!)
* -------------------------------------------------------------------------
*/
// Set character encoding
$_CONFIG['coreCharacterEncoding'] = '%CHARSET%'; // example 'UTF-8'
